import 'package:flutter/material.dart';
import 'package:v_flutter_example/router/index.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        platform: TargetPlatform.iOS,
        canvasColor: Color(0xFFF7F7F7),
        primaryColor: Color(0xFFF7F7F7),
        appBarTheme: AppBarTheme(elevation: 0),
      ),
      onGenerateRoute: (settings) => Routes.generator(settings),
    );
  }
}
