/*
 * @Description: 
 * @version: 1.0.0
 * @Author: youqixin
 * @Date: 2022-02-17 14:36:12
 * @LastEditors: youqixin
 * @LastEditTime: 2022-02-17 15:37:54
 */
import 'package:flutter/material.dart';

class VRate extends StatefulWidget {
  final int value;
  final int count;
  final Function onChange;
  VRate({
    Key key,
    this.value = 0,
    this.count = 5,
    this.onChange,
  }) : assert(value < count);
  @override
  _VRateState createState() => _VRateState();
}

class _VRateState extends State<VRate> {
  int rate = 0;
  @override
  void initState() {
    super.initState();
    setState(() {
      rate = widget.value;
    });
  }

  List<Widget> _createStar() {
    List<Widget> list = [];
    for (int i = 0, len = widget.count; i < len; i++) {
      list.add(
        GestureDetector(
          onTap: () {
            setState(() {
              rate = i + 1;
              if (widget.onChange != null) {
                widget.onChange(rate);
              }
            });
          },
          child: Container(
            child: Icon(
              Icons.star,
              color: i >= rate ? Color(0xFFc8c9cc) : Color(0xFFee0a24),
            ),
          ),
        ),
      );
    }
    return list;
  }

  @override
  Widget build(BuildContext context) {
    return Flex(
      direction: Axis.horizontal,
      children: _createStar(),
    );
  }
}
